<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Vue Basics</title>
    <link
      href="https://fonts.googleapis.com/css2?family=Jost:wght@400;700&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="styles.css" />
    <script src="https://unpkg.com/vue@next" defer></script>
    <script src="app.js" defer></script>
  </head>
  <body>
    <header>
      <h1>Vue Course Goals</h1>
    </header>
    <section id="user-goals">
      <h2>My course goals</h2>
      <input type="text" v-model="inputGoalEntered" @keyup.enter="onAddGoal" />
      <button @click="onAddGoal" :disabled="addShouldBeDisabled">
        Add Goal
      </button>
      <p v-if="!hasGoals">
        No goals have been added yet - please start adding some!
      </p>
      <ul v-if="hasGoals">
        <li :class="{notComplete: !goal.isComplete}" :key="goal.id" v-for="(goal, index) in goals" @click="toggleIsComplete(goal.id)">
          {{ goal.content }}
          <div class="removeBtn" @click.stop="onRemoveClick(goal.id)">X</div>
        </li>
      </ul>
<!--       <ul>
        <li v-for="(value, key) in {test: '11', test2: '23'}">{{key}}: {{ value }}</li>
      </ul>
 -->    </section>
  </body>
</html>
